## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iTimeoutQuestTriggerFactory Struct Reference

This interface is implemented by the trigger that fires when a certain time has expired. More...

`#include <tools/questmanager.h>`

List of all members.

## Public Member Functions

virtual void | SetTimeoutParameter (const char *timeout_par)=0
| Set the timeout on which this trigger will fire.

## Detailed Description

This interface is implemented by the trigger that fires when a certain time has expired.

You can query this interface from the trigger factory if you want to manually control this factory as opposed to loading its definition from an XML document.

The predefined name of this trigger type is 'cel.questtrigger.timeout'.

In XML, factories recognize the following attributes on the 'fireon' node:

- timeout: timeout value.

Definition at line 854 of file questmanager.h.

## Member Function Documentation

virtual void iTimeoutQuestTriggerFactory::SetTimeoutParameter | ( | const char * | timeout_par | ) | `[pure virtual]`

Set the timeout on which this trigger will fire.

Parameters:

  | timeout_par | is the timeout value (in ms) or a parameter (starts with '$').

The documentation for this struct was generated from the following file:

- tools/questmanager.h